Bug 151670 - dmidecode v2.2 doesn't work on IA64 w/ 2.6 kernel
dmidecode v2.2 doesn't work on IA64 w/ 2.6 kernel
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-03-21 11:32 EST by Lev Makhlis
Modified: 2015-01-04 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-20 18:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lev Makhlis 2005-03-21 11:32:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
dmidecode version is too old and is not aware of the /sys/firmware/efi/systab file that needs to be used on Itanium with Linux 2.6.6-rc3 and up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. dmidecode

Actual Results:  # dmidecode 2.2
/dev/mem: Bad address

Expected Results:  SMBIOS/DMI table content

Additional info:

dmidecode v2.5 seems to be the first release to address this.
I tried the current release, v2.6, and it works fine.
Comment 1 Dave Jones 2005-03-21 15:38:00 EST
will be fixed for U1.
Comment 2 Lev Makhlis 2005-04-20 18:09:29 EDT
Verified in U1 Beta

Note You need to log in before you can comment on or make changes to this bug.